Un-hardcode the Maven version provided by the module.
Do however need to hardcode the one in the gemspec due to what seems to be a gem2deb deficiency.
See Debian bug 989175.
--- ruby-maven-libs.orig/lib/maven.rb
+++ ruby-maven-libs/lib/maven.rb
@@ -1,6 +1,6 @@
 module Maven
 
-  VERSION = '3.3.9'.freeze
+  VERSION = `/usr/bin/mvn --version`.split("\n")[0].split[2].freeze
 
   def self.exec( *args )
     if args.member?( '-Dverbose=true' ) || args.member?( '-Dverbose' ) || args.member?( '-X' )
--- ruby-maven-libs.orig/ruby-maven-libs.gemspec
+++ ruby-maven-libs/ruby-maven-libs.gemspec
@@ -4,7 +4,7 @@ require './lib/maven'
 
 Gem::Specification.new do |s|
   s.name = "ruby-maven-libs"
-  s.version = Maven::VERSION
+  s.version = "3.6.3"
 
   s.require_paths = ["lib"]
   s.authors = ["Christian Meier"]
